// Copyright (C) 2018-2019 Michel Sabourin 
//
// Sous licence du site SimTurb à : 
// https://michelsabourin.scenari-community.org/SimTurb/co/1siteWeb_1.html
//
// Date : 2018-08-05
//
//Ce programme effectue l'affichage d'une colline et interpole des courbes sur cette colline
//détails à : 
//           https://michelsabourin.scenari-community.org/SimTurb/co/page_04_1.html
//
//Version 2
// Date : 2019-03-17
//Mise à niveau avec Scilab 6.0.2
//
///Version 3
//Date : 2019-11-12
// Écriture colline quadrillée
//
//
//Version 3.1
//Date : 2020-04-25
// Mixe à niveau avec Scilab 6.1.0
clear;//on efface la mémoire
clc;//on efface la console
mclose("all");//on ferme les fichiers
//déclaration des variables globales
global ("Fichier","Session","Option","cX","cY","cZ1","cZ2","Z1coef","Z2coef","Limites","X","Y","Z1","Z2","XYZ1","XYZ2","theta","alpha","polyZ1","polyZ2","E","Vue","f","handles", "f2","f2x","Colline", "nomDesSeries", "Series", "OptSeries");
//
//Annonce du programme
Version="Traçage d''une colline - Version 20200426";
mprintf("\n\n\n*******************************************************************\n");
mprintf("*                          SimTurb                                *\n");
mprintf("*        Bienvenue sur le logiciel de traçage de colline          *\n");
mprintf("*           %s              *",Version);
mprintf("\n*******************************************************************\n");
mprintf("\nDéveloppé sous Scilab 6.1.0 \n\nCopyright Michel Sabourin 2018-2020 \n");
mprintf("Détails sur la license à:\n  https://michelsabourin.scenari-community.org/SimTurb/co/1siteWeb_1.html \n")
mprintf("\n\nInstructions :\n -Il faut indiquer le fichier .xls contenant les données de la colline. \n ");
mprintf("-Pour quitter faire quit dans cette console. \n\n\n");
//
//
//Librairie de l"interface graphique
exec("CollineGrilleGraphisme.sci", -1);
///////////////
// fonctions de calcul et de gestion des fichiers
//////////////
exec("CollineGrilleCalculs.sci", -1);
//
//
//////////////////////////////////////////////////////////////////////////////
//Programme principal
//////////////////////////////////////////////////////////////////////////////
//
//
//
//Lecture du répertoire de travail et de la colline
//
[FileName, PathName]=LectureColline()
//répertoire où se trouve les scripts SimTurb - on y trouve le logo
Logo=fullfile(SCIHOME+"\SimTurb","logoSimTurb_h150.png")
//Lecture du fichier de la session précédente
Session=fullfile(PathName,strsplit(FileName, ".")(1)+".dat");
LectureSession()
// Calcul des coefficients d"interpolation
calcul_Zcoef;
//Calcul de la grille
calcul_XYZ;
//
//On trace la colline
//
//Mise en place de l"interface graphique
f=figure("figure_position",[0,0],"figure_size",[1024,768],"auto_resize","on","background",[-2],"figure_name",Version,"dockable","off","infobar_visible","off","toolbar_visible","off","menubar_visible","off","default_axes","on","visible","off");
Series=[];
handles.dummy = 0;
graphisme;
//
f2=figure("Tag","f2","background",[-2],"figure_position",[1024,0],"figure_name","SimTurb - Un simulateur de turbines hydrauliques");
f2x=gca();
theta=0;
alpha=-90;
tracage;
//
//Habillage du graphique
//
habillage;
//sauvegarde de la session
sauveSession
//fin du programme principal




